darcs-2.18.5: a distributed, interactive, smart revision control system

Safe Haskell | None
Language | Haskell2010

Darcs.Patch.Annotate.Class

# Documentation

type AnnotateResult = Vector (Maybe PatchInfo, ByteString) #

data Content2 (f :: Type -> Type) (g :: Type -> Type) #

Constructors

FileContent (f (g ByteString)) |
DirContent (f (g AnchoredPath)) |

#### Instances

Instances details

Show Content # |
Instance details Defined in Darcs.Patch.Annotate.Class Methods showsPrec :: Int -> Content -> ShowS # show :: Content -> String # showList :: [Content] -> ShowS #
Eq Content # |
Instance details Defined in Darcs.Patch.Annotate.Class Methods (==) :: Content -> Content -> Bool # (/=) :: Content -> Content -> Bool #

data Annotated2 (f :: Type -> Type) (g :: Type -> Type) #

Constructors

Annotated2 |
Fields annotated :: !AnnotateResult current :: !(Content2 f g) currentPath :: Maybe AnchoredPath currentInfo :: PatchInfo

#### Instances

Instances details

Show Annotated # |
Instance details Defined in Darcs.Patch.Annotate.Class Methods showsPrec :: Int -> Annotated -> ShowS # show :: Annotated -> String # showList :: [Annotated] -> ShowS #
Eq Annotated # |
Instance details Defined in Darcs.Patch.Annotate.Class Methods (==) :: Annotated -> Annotated -> Bool # (/=) :: Annotated -> Annotated -> Bool #

type Content = Content2 [] ((,) Int) #

type Annotated = Annotated2 [] ((,) Int) #

type AnnotatedM = State Annotated #

class Annotate (p :: Type -> Type -> Type) where #

Methods

annotate :: p wX wY -> AnnotatedM () #

#### Instances

Instances details

Annotate Prim # |
Instance details Defined in Darcs.Patch.Annotate Methods annotate :: Prim wX wY -> AnnotatedM () #
Annotate Prim # |
Instance details Defined in Darcs.Patch.Annotate Methods annotate :: Prim wX wY -> AnnotatedM () #
Annotate Prim # |
Instance details Defined in Darcs.Patch.V1.Prim Methods annotate :: Prim wX wY -> AnnotatedM () #
Annotate Prim # |
Instance details Defined in Darcs.Patch.V2.Prim Methods annotate :: Prim wX wY -> AnnotatedM () #
Annotate p => Annotate (PrimWithName name p) # |
Instance details Defined in Darcs.Patch.Prim.WithName Methods annotate :: PrimWithName name p wX wY -> AnnotatedM () #